Bug 35294 - Typo in comment in C4 circulation barocode
Summary: Typo in comment in C4 circulation barocode
Status: Pushed to main
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: Main
Hardware: All All
: P5 - low trivial (vote)
Assignee: Brendan Lawlor
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-11-08 17:32 UTC by Jessie Zairo
Modified: 2024-06-13 13:32 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
24.11.00


Attachments
Bug 35294: fix typo in catalogue/search.pl (1.17 KB, patch)
2024-06-05 20:43 UTC, Brendan Lawlor
Details | Diff | Splinter Review
Bug 35294: Fix typo in catalogue/search.pl (1.22 KB, patch)
2024-06-05 23:53 UTC, David Nind
Details | Diff | Splinter Review
Bug 35294: Fix typo in catalogue/search.pl (1.30 KB, patch)
2024-06-06 13:01 UTC, Matt Blenkinsop
Details | Diff | Splinter Review
Bug 35294: Fix typos in catalogue code comments (1.71 KB, patch)
2024-06-06 13:29 UTC, Brendan Lawlor
Details | Diff | Splinter Review
Bug 35294: Fix typos in catalogue code comments (1.82 KB, patch)
2024-06-06 20:44 UTC, David Nind
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jessie Zairo 2023-11-08 17:32:51 UTC
There is a typo in comment in C4 circulation barocode
Comment 1 Brendan Lawlor 2024-06-05 20:43:15 UTC
Created attachment 167498 [details] [review]
Bug 35294: fix typo in catalogue/search.pl

This patch fixes a typo in a comment
To recreate:
1. git grep barocode to find the file and line # of the typo
catalogue/search.pl:462:# If index indicates the value is a barocode
To Test:
1. Apply patch
2. git grep barocode
3. See no results
Comment 2 David Nind 2024-06-05 23:53:17 UTC
Created attachment 167504 [details] [review]
Bug 35294: Fix typo in catalogue/search.pl

This patch fixes a typo in a comment.

Test plan:
1. git grep barocode to find the file and line # of the typo:
   catalogue/search.pl:462:# If index indicates the value is a barocode
2. Apply the patch.
3. git grep barocode
4. See no results.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 David Nind 2024-06-05 23:54:43 UTC
Comment on attachment 167498 [details] [review]
Bug 35294: fix typo in catalogue/search.pl

I edited the text of the commit message slightly. Hope that is OK.
Comment 4 Matt Blenkinsop 2024-06-06 13:01:42 UTC
Created attachment 167541 [details] [review]
Bug 35294: Fix typo in catalogue/search.pl

This patch fixes a typo in a comment.

Test plan:
1. git grep barocode to find the file and line # of the typo:
   catalogue/search.pl:462:# If index indicates the value is a barocode
2. Apply the patch.
3. git grep barocode
4. See no results.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Matt Blenkinsop <matt.blenkinsop@ptfs-europe.com>
Comment 5 Brendan Lawlor 2024-06-06 13:29:03 UTC
Created attachment 167547 [details] [review]
Bug 35294: Fix typos in catalogue code comments

Test plan:
1. git grep -n -E 'barocode|preproccess' to find the files and line # of typos
2. Apply the patch
3. git grep -E 'barocode|proccess'
4. See no results
Comment 6 Brendan Lawlor 2024-06-06 13:34:17 UTC
When I looked at this again I noticed another typo in the comment that appears in both catalogue/search.pl and catalogue/itemsearch.pl

This new patch fixes both typos barocode and preproccess. 

Should I obsolete the first patch and set this back to needs sign off?

Thanks David and Matt.
Comment 7 David Nind 2024-06-06 20:42:33 UTC
Comment on attachment 167541 [details] [review]
Bug 35294: Fix typo in catalogue/search.pl

I think adding a follow-up would have been sufficient.

I've obsoleted the original patch, and will add the sign-off lines to the new patch shortly.
Comment 8 David Nind 2024-06-06 20:44:57 UTC
Created attachment 167556 [details] [review]
Bug 35294: Fix typos in catalogue code comments

Test plan:
1. git grep -n -E 'barocode|preproccess' to find the files and line # of typos
2. Apply the patch
3. git grep -E 'barocode|proccess'
4. See no results

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Matt Blenkinsop <matt.blenkinsop@ptfs-europe.com>
Comment 9 Martin Renvoize 2024-06-13 13:32:43 UTC
Thanks for all the hard work!

Pushed to main for the next 24.11.00 release as RM Assistant